//  -*- c++ -*-

#ifndef STYLEIO_H
#define STYLEIO_H

#include <qdom.h>

class QStyleSheet;

/**
 *
 * @version $Id: styleio.h,v 1.1 2002/03/08 00:30:19 rich Exp $
 * @author Richard Moore, rich@kde.org 
 */
class StyleIO
{
public:
    StyleIO();
    ~StyleIO();

    bool load( const QString &file );

    QStyleSheet *stylesheet() const { return sheet; }

protected:
    void walk();
    QStyleSheetItem *processStyle( const QDomElement &e );
    void processStyleItem( QStyleSheetItem *item, const QDomElement &e );

private:
    QDomDocument doc;
    QStyleSheet *sheet;
};

#endif // STYLEIO_H

// Local Variables:
// c-basic-offset: 4
// End:
